=== debian/changelog ===
odil (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version

 -- Julien Lamy <lamy@unistra.fr>  Thu, 03 May 2018 13:47:41 +0000

odil (0.9.1-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release
  * Use Python 3 in  CLI application
  * Update standards version
  * Update the VCS URLS in d/control to point to salsa.debian.org

  [ Andreas Tille ]
  * by using versioned Build-Depends: d-shlibs (>= 0.81) manual overrides in
    d/rules can be dropped

 -- Julien Lamy <lamy@unistra.fr>  Thu, 01 Mar 2018 17:06:03 +0000
