=== debian/control ===
Source: odil
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               d-shlibs (>= 0.81),
               dh-python,
               cmake,
               g++ (>= 4:7),
               pkg-config,
               libjsoncpp-dev,
               libdcmtk-dev | libdcmtk2-dev,
               libicu-dev (>= 4.8.1.1),
               zlib1g-dev,
               uuid-dev,
               libboost-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-python-dev,
               liblog4cpp5-dev,
               libboost-test-dev (>= 1.46.1),
               chrpath,
               dcmtk (>= 3.6.0),
               python-dev,
               python3-dev,
               python-nose,
               python3-nose
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/odil
Vcs-Git: https://salsa.debian.org/med-team/odil.git
Homepage: https://github.com/lamyj/odil
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: libodil0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libdcmtkpp0
Conflicts: libdcmtkpp0
Replaces: libdcmtkpp0
Multi-Arch: same
Description: C++11 library for the DICOM standard
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 Odil also provides conversion to and from DCMTK data structures.
 .
 This package contains the shared library.

Package: libodil-dev
Architecture: any
Section: libdevel
Depends: libodil0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Provides: libodil0-dev, libdcmtkpp-dev
Conflicts: libodil0-dev, libdcmtkpp-dev
Replaces: libodil0-dev, libdcmtkpp-dev
Multi-Arch: same
Description: C++11 library for the DICOM standard (development files)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the development files.

Package: libodil-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Provides: libodil0-doc, libdcmtkpp0-doc
Conflicts: libodil0-doc, libdcmtkpp0-doc
Replaces: libodil0-doc, libdcmtkpp0-doc
Multi-Arch: foreign
Description: C++11 library for the DICOM standard (documentation)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the documentation files.

Package: python-odil
Architecture: any
Section: python
Depends: libodil0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: C++11 library for the DICOM standard (Python wrappers)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the Python wrappers.

Package: python3-odil
Architecture: any
Section: python
Depends: libodil0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: C++11 library for the DICOM standard (Python 3 wrappers)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the Python 3 wrappers.

Package: odil
Architecture: all
Depends: python3-odil, ${python3:Depends}, ${misc:Depends}
Description: C++11 library for the DICOM standard (application)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the command-line application.
