=== debian/changelog ===
odil (0.10.0-9) unstable; urgency=medium

  * Team upload.
  * debian patch enable_nose_args.patch allows arguments to be
    provided to the nosetests executable. Used to specify the python
    version running nose. Closes: #943473.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Nov 2019 04:44:54 +0800

odil (0.10.0-8) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python3-all-dev. Make tests work with all supported
    python3 versions (3.7, 3.8). Closes: #943473.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 21:13:37 +0800

odil (0.10.0-7) unstable; urgency=medium

  * Team upload.
  * must specify nosetests3 to run tests with python3

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Sep 2019 15:59:22 +0800

odil (0.10.0-6) unstable; urgency=medium

  * Team upload.
  * nopy tests also need python3 to run

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Sep 2019 11:36:03 +0800

odil (0.10.0-5) unstable; urgency=medium

  * Team upload.
  * run tests using the Python version being tested

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Sep 2019 09:35:41 +0800

odil (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0
  * Set debhelper with Build-Depends: debhelper-compat (= 12)
  * Remove python-odil package (Python2 removal). Closes: #937183.

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Sep 2019 02:30:24 +0800

odil (0.10.0-3) unstable; urgency=medium

  [ Julien Lamy ]
  * Fix building with dcmtk 3.6.4-1

  [ Andreas Tille ]
  * Standards-Version: 4.3.0
  * debhelper 12
  * override_dh_dwz

 -- Julien Lamy <lamy@unistra.fr>  Mon, 14 Jan 2019 18:42:21 +0100

odil (0.10.0-2) unstable; urgency=medium

  * Team Upload

  [ Matthias Klose ]
  * Fix typo in build target, make the build a little bit more verbose.
    Closes: #915396

  [ Andreas Tille ]
  * debhelper 11
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 15:59:16 +0100

odil (0.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #914144)
  * Update copyright
  * Update standards version
  * Clean-up d/rules and d/control

 -- Julien Lamy <lamy@unistra.fr>  Tue, 27 Nov 2018 12:37:31 +0200
