=== wrappers/python/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
     set_target_properties(pyodil PROPERTIES SUFFIX ".so")
 endif()
 
-target_link_libraries(pyodil ${JsonCpp_LIBRARIES} libodil)
+target_link_libraries(pyodil PUBLIC ${JsonCpp_LIBRARIES} PUBLIC libodil)
 
 add_custom_target(
     pyodil-pure ${CMAKE_COMMAND} -E echo "Pure-python files"
@@ -34,7 +34,7 @@
 
 execute_process(
     COMMAND ${PYTHON_EXECUTABLE}
-      -c "from distutils.sysconfig import *; print(get_python_lib(True, prefix=''))"
+      -c "from distutils.sysconfig import *; print(get_python_lib(True, prefix='').replace('\\\\', '/'))"
     OUTPUT_VARIABLE PYTHON_SITE_PACKAGES
     OUTPUT_STRIP_TRAILING_WHITESPACE)
