=== debian/changelog ===
odil (0.11.0-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:40 +0100

odil (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0
  * Update copyright

 -- Julien Lamy <lamy@unistra.fr>  Mon, 17 Feb 2020 19:41:40 +0100
