=== debian/control ===
--- 
+++ 
@@ -25,11 +25,10 @@
                libboost-test-dev,
                chrpath,
                dcmtk,
-               python3-all-dev,
-               python3-nose
+               python3-all-dev
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/odil
 Vcs-Git: https://salsa.debian.org/med-team/odil.git
 Homepage: https://github.com/lamyj/odil
