=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	mv build build-nopy
 
 # Reconfigure base build for specific Python version and build wrappers
-# WARNING: Python2 and Python3 MUST be built sequentially since they use the
+# WARNING: builds for Python versions MUST be sequential since they use the
 # same build directory
 override_dh_auto_build-py: override_dh_auto_build-nopy
 	set -e; \
@@ -49,18 +49,9 @@
 	cd documentation && doxygen
 	find documentation/_build -name "*.md5" -delete
 
-# Run C++ tests only on base build
-override_dh_auto_test-arch-nopy:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	ln -s build-nopy build
-	cd build && python3 ../tests/run --no-network --nose nosetests3 -e ".*"
-	rm build
-endif
-
-# Run Python tests only on python build
-# WARNING: Python2 and Python3 MUST be tested sequentially since they use the
+# WARNING: tests for Python versions MUST be sequential since they use the
 # same build directory
-override_dh_auto_test-arch-py: override_dh_auto_test-arch-nopy
+override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for Python in $(ALLPY); do \
@@ -69,24 +60,22 @@
 	  ln -sr ./build/wrappers/python ./build/odil; \
 	  ln -sr ./wrappers/python/*.py ./build/odil; \
 	  cd build && \
-	    python$${Python} ../tests/run --no-network \
-	      --nose python$${Python} --noseargs "-m nose" \
-	      -E ".*"; \
+	    $(MAKE) install DESTDIR=../install && \
+	    WORKSPACE=$(CURDIR) ../.ci/deb/post_build || true;\
 	  cd ..; \
 	  rm ./build/odil/*py; \
 	  rm ./build/odil; \
 	  rm build; \
+	  rm -rf install; \
 	done
 endif
-
-override_dh_auto_test-arch: override_dh_auto_test-arch-nopy override_dh_auto_test-arch-py
 
 override_dh_auto_install-arch-nopy:
 	ln -s build-nopy build
 	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
 	rm build
 
-# WARNING: Python2 and Python3 MUST be installed sequentially since they use the
+# WARNING: installs for Python versions MUST be sequential since they use the
 # same build directory
 override_dh_auto_install-arch-py: override_dh_auto_install-arch-nopy
 	set -e; \
@@ -117,6 +106,7 @@
 	dh_clean
 	find tests -name "*pyc" -delete
 	rm -rf build-nopy $(ALLPY:%=build-py%) build-indep documentation/_build
+	rm -f build
 
 # These steps are not needed for arch-independent packages
 override_dh_auto_configure-indep:
